Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._3._0.lcm
Interface AcceptObjectsRequestType

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, RegistryRequestType

All Known Implementing Classes:
  AcceptObjectsRequestTypeImpl

    public interface AcceptObjectsRequestType

extends RegistryRequestType

A representation of the model object 'Accept Objects Request Type'.

The following features are supported:

- `Correlation Id`

See Also:
  `LCMPackage.getAcceptObjectsRequestType()`

Method Summary
`java.lang.String` | `getCorrelationId()` Returns the value of the 'Correlation Id' attribute.
`void` | `setCorrelationId(java.lang.String value)` Sets the value of the '`Correlation Id`' attribute.

Methods inherited from interface org.eclipse.ohf.ihe.common.ebxml._3._0.rs.RegistryRequestType
`getComment, getId, getRequestSlotList, setComment, setId, setRequestSlotList`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getCorrelationId

    java.lang.String getCorrelationId()

  Returns the value of the 'Correlation Id' attribute.

  If the meaning of the 'Correlation Id' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Correlation Id' attribute.
  See Also:
    `setCorrelationId(String)`, `LCMPackage.getAcceptObjectsRequestType_CorrelationId()`

### setCorrelationId

    void setCorrelationId(java.lang.String value)

  Sets the value of the '`Correlation Id`' attribute.

  Parameters:
    `value` - the new value of the 'Correlation Id' attribute.
  See Also:
    `getCorrelationId()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD